## IdeService IdeService |

## Functions

#define | IDE_TYPE_SERVICE
const gchar * | ide_service_get_name ()
void | ide_service_start ()
void | ide_service_stop ()

## Properties

IdeContext * | context | Write / Construct Only

## Signals

void | loaded | Run Last
void | start | Run Last
void | stop | Run Last

## Types and Values

struct | IdeServiceInterface
| IdeService

## Object Hierarchy

        GInterface
        ╰── IdeService

## Prerequisites

IdeService requires IdeObject.

## Description

## Functions

### IDE_TYPE_SERVICE

    #define IDE_TYPE_SERVICE (ide_service_get_type())

### ide_service_get_name ()

    const gchar *
    ide_service_get_name (IdeService *self);

### ide_service_start ()

    void
    ide_service_start (IdeService *self);

### ide_service_stop ()

    void
    ide_service_stop (IdeService *self);

## Types and Values

### struct IdeServiceInterface

    struct IdeServiceInterface {
      GTypeInterface parent_interface;

      const gchar *(*get_name) (IdeService *service);
      void         (*loaded)   (IdeService *service);
      void         (*start)    (IdeService *service);
      void         (*stop)     (IdeService *service);
    };

### IdeService

    typedef struct _IdeService IdeService;

## Property Details

### The `“context”` property

      “context”                  IdeContext *

Context.

Flags: Write / Construct Only

## Signal Details

### The `“loaded”` signal

    void
    user_function (IdeService *ideservice,
                   gpointer    user_data)

Flags: Run Last

### The `“start”` signal

    void
    user_function (IdeService *ideservice,
                   gpointer    user_data)

Flags: Run Last

### The `“stop”` signal

    void
    user_function (IdeService *ideservice,
                   gpointer    user_data)

Flags: Run Last